Subject: bug#78843: Various vtable bug fixes and enhancements

From: Stéphane Marks <[email-masked]>
Date: Sun, 22 Jun 2025 06:24:39 -0400

On Sun, Jun 22, 2025 at 6:02 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Stéphane Marks <[email-masked]>
> > Date: Sun, 22 Jun 2025 05:45:59 -0400
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked], [email-masked], [email-masked]
> >
> > On Sun, Jun 22, 2025 at 5:42 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Stéphane Marks <[email-masked]>
> >  > Date: Sun, 22 Jun 2025 05:12:46 -0400
> >  > Cc: [email-masked], [email-masked], [email-masked],
>
> >  >       [email-masked], [email-masked], [email-masked]
> >  >
> >  > On Sun, Jun 22, 2025 at 4:59 AM Eli Zaretskii <[email-masked]> wrote:
> >  >
> >  >  Is it really not feasible to have separate patches for each bugfix
> and
> >  >  each enhancement (or coherent set of enhancements)?  What if we
> decide
> >  >  to install just some of these changes -- you'd need to update the
> >  >  entire large patch, instead of dropping a relatively small one and
> >  >  leaving the others intact.
> >  >
> >  > I hope we elect to adopt them all.  It would be much more work to
> tease them all out piecemeal and
> >  wouldn't
> >  > really, in the end, produce a better vtable.
> >
> >  Please also consider the inherent difficulties in reviewing such a
> >  large (4K lines!) patch.
> >
> > Let's start with the vtable users I looped in actually using it.
>
> I don't see how this will help in reviewing the patch. It will allow
> those folks to try the patch, but that's a separate job.  Patch review
> has to happen regardless, because it might spot issues that no
> reasonable amount of testing can.  This is why patch review is a
> necessary step in our development process.
>
> > I can attach a vtable.el without the patch file and
> > make it easier.
>
> Thanks, but it won't make it easier, no.
>

Of course.  I did say that I would submit a "big-bang" patch a few weeks
ago.  The vtable users who are familiar with the code (having implemented
their workarounds) should have an easier time with the review.
Fortunately, vtable is still young so fewer users.  I've been using it
every day and I enjoy the revised one much more.